{% extends "base.html" %}

{% block style %}
<link rel="stylesheet" href="https://unpkg.com/@bootstrapstudio/bootstrap-better-nav/dist/bootstrap-better-nav.min.css">
<link rel="stylesheet" href="{{ url_for('static',filename='css/home.css') }}">
<link rel="stylesheet" href="{{ url_for('static',filename='css/sticky-dark-top-nav-with-dropdown.css') }}">
{% endblock %}

{% block main %}

<section class="d-flex justify-content-center" id="search-bar">
    <form method="POST" action="{{ url_for('search_user') }}">
        <div class="input-group d-flex divForm">
            <div class="input-group-prepend">
                <span class="input-group-text">
                    <i class="fa fa-search"></i>
                </span>
            </div>
            <input class="form-control" name="research" type="search" placeholder="Entrez un nom d'utilisateur">
            <div class="input-group-append">
                <button class="btn btn-primary" type="submit">
                    Rechercher
                </button>
            </div>
        </div>
    </form>
</section>

<section class="d-flex flex-column justify-content-center">
    {% for joueurs in la_liste %}
    <div class="container justify-content-center">
        <div class="row row-cols-sm-2 row-cols-md-3 row-cols-lg-5 divJeu">
            <div class="col jeux">
                <div class="div_user">
                    <div>
                        <a href="/profil/{{joueurs.pseudo}}"><b>{{ joueurs.pseudo }}</b></a>
                        {% if joueurs.admin %}
                        <p>Administrateur : oui</p>
                    </div>
                    <div>
                        <button onclick="window.location.href = '/gererUtilisateurs/{{joueurs.pseudo}}/changerStatut'" style="color: white;">Passer utilisateur simple</button>
                    </div>
                    {% else %}
                    <p>Administrateur : non</p>
                </div>
                <div>
                    <button onclick="window.location.href = '/gererUtilisateurs/{{joueurs.pseudo}}/changerStatut'" style="color: white;">Passer administrateur</button>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
    </div>
    {% endfor %}
</section>

{% endblock %}